Bug 985390 - Posix ACL not supported via fuse-client
Posix ACL not supported via fuse-client
Product: GlusterFS
Classification: Community
Component: access-control (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: bugs@gluster.org
Depends On:
  Show dependency treegraph
Reported: 2013-07-17 07:31 EDT by johaven
Modified: 2016-03-28 09:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-10-07 08:25:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description johaven 2013-07-17 07:31:37 EDT
Description of problem:
Brick support acl et xattr
Since Gluster 3.x, same errors on debian based (ubuntu/debian...)
It worked fine with 3.2.x

Version-Release number of selected component (if applicable):

How reproducible:
mount -t glusterfs node2:/datastore /home/tmp/ -o acl

Actual results:
volume log:
E [posix.c:2583:posix_getxattr] 0-datastore-posix: getxattr failed on /data/: system.posix_acl_access (No data available)

Expected results:
No errors as 3.2.x

Additional info:
tested on debian 5/6, ubuntu 10,11,12
Comment 1 johaven 2013-07-19 04:40:04 EDT
The same on centos 6.4
Comment 2 Richard 2013-10-06 17:41:41 EDT
Try setting 'gluster volume set <VOL> stat-prefetch off' to see if it helps.
Comment 3 Niels de Vos 2014-09-27 13:36:43 EDT
Did 'stat-prefetch off' help? If not, make sure that the filesystem on the bricks has been mounted with 'acl' too.
Comment 4 Niels de Vos 2015-05-17 17:59:45 EDT
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.
Comment 5 Kaleb KEITHLEY 2015-10-07 08:25:24 EDT
GlusterFS 3.4.x has reached end-of-life.

If this bug still exists in a later release please reopen this and change the version or open a new bug.
Comment 6 johaven 2016-03-28 09:45:57 EDT
It's all right with latest versions.
You can close.

Note You need to log in before you can comment on or make changes to this bug.